# compare actual URL sets using Squid access.logs from two tests
# requires moving/reseting access.log after the first test

# extract URLs from both access logs
sed 's/  */ /g' access-1.log | cut -d' ' -f 7 | sort -T ./ | uniq > urls-1.txt
sed 's/  */ /g' access-2.log | cut -d' ' -f 7 | sort -T ./ | uniq > urls-2.txt

# compare extracted sets
# there must be no new URLs added in the second test/set
# some URLs may be missing in the second test 
# because Polygraph does not (cannot) freeze working set instantly
diff -u urls-1.txt urls-2.txt
